Upgrade FC21→ FC22 celkem katastrofa [zatím to chodí]

Dobrý den,
zatímco fedup z 20 na 21 proběhl bez problému a zanechal po sobě plně funkční Fedoru 21, tak upgrade na 22 dopadlo tak nějak katastroficky. Většina programů je nabouraná a i když systém víceméně funguje, tak spíše méně než více.
V každém případě budu muset přeinstalovat z čista do čista, naštěstí se dá ještě zálohovat na externí disk a síťová připojení fungují.

Jde mi hlavně o tento problém: používám KDE, mám 2 virtuální plochy a na každé jiné pozadí a jiné widgety. To se dalo nastavit v nastavení virtuálních ploch u FC 21. Teď to tam nikde nevidím a mám všechny plochy stejnobarevné, widgety zmizely všechny, dají se znovu nastavit, ale jen na všech plochách stejně.
Dá se zaonačit tak, abych měl u různé virtuální plochy, tak, jak to bylo u FC 21 i FC 20? No, a vlastně to je u více distribucí s KDE, v práci mám SUSE a tam to jde tak nastavit a také to tak mám.
Ptám se: jde to i u FC 22? A že mi toto nastavovátko chybí, může být důsledek značného rozpinožení systému po fedupu na 22.
Pokud někdo ví jistě, že toto nastavení zůstalo, pak nainstaluji novou Fedoru zčista dočista a bude hotovo. Jinak zkusím alespoň dočasně jinou dostribuci, než se to dá do pořádku.

Jestli je spatne pozadi vysledkem katastrofickeho upgradu, tak to neni vubec katastroficky :slight_smile: Ja KDE nepouzivam, ale ve F22 je, pokud se nepletu, Plasma 5, ktera toto nepodporuje. Tady je k tomu nejaka diskuze: https://bugs.kde.org/show_bug.cgi?id=343246 a dalsi https://www.reddit.com/r/kde/comments/30x096/plasma_5_how_do_i_set_different_wallpaper_for/ a ruzne po internetech jich jeste par bude

Jj, taky si myslím, že je to prostě tím, že Plasma 5 ty věci neumí, než tím, že by se rozbilo něco při upgradu.
Můžeš si vyzkoušet stáhnout a spustit livko F22, jestli se tam ty problémy vyskytují.

Tak to mám potvrzení od Dana Vrátila z KDE týmu: různé wallpapery pro různé plochy momentálně nejdou nastavit, snad se to vrátí ve verzi 5.4. Různé widgety na různých plochách prý nastavil nešly nikdy, jen v různých aktivitách a to by tam mělo být pořád :slight_smile:

Zatím jsem to vyřešil přechodem na XFCE, tam se dají nastavit různá pozadí ploch.
Různé widgety se na FC 21 nastavit dají.

Len pre doplnenie.
Stabilné vydanie openSUSE používa stále KDE4, preto sa tam tento problém neobjavuje.

Potíže pokračují…
Problém se projevil u scanneru. Zatímco na FC21 to šlo na první kliknutí, tak tady mi XSANE nenajde scanner.
Zkusil jsem radu, která kdesi na nějakém fóru vedla k úspěchu, ale tady nic.

Spouštím to takhle
xsane -V hpaio:/net/HP_LaserJet_Professional_M1217nfw_MFP?ip=192.168.70.194
ale to zase po chvílu napíše, že Otevření zařízení selhalo, chyba během V/V …

Ani když po pustím jako root, tak totéž.
Scanner je multifunkční tlačiareň viz výše (HP_LaserJet_Professional_M1217nfw_MFP) připojená na síť.
Tisk je v pořádku.

Nejde o problém Fedory, ale o problém KDE. Přechod na platformu QT5 bude nějakou chvíli trvat a to, co nazýváte katastrofou, byť jde pouze o drobnost odladění GUI, může nějaký čas haprovat. Vyplatí se poněkud jiné odlišení ploch než graficky, což je váš právě nabytý poznatek.

No, tak zkouším XFCE a to umožňuje odlišné pozadí pro každou plochu. Nechápu, jak jinak ty plochy odlišit, aby to bylo viděl na první pohled.
Ale to není podstatné, horší je, že potřebuji scanner a ten pořád nemůžu rozchodit.

Tak s tím scannerem mám smolíka…

[root@asrock ~]# /root/.hplip/hplip-3.15.2-plugin.run
Verifying archive integrity… All good.
Uncompressing HPLIP 3.15.2 Plugin Self Extracting Archive…

HP Linux Imaging and Printing System (ver. 3.15.2)
Plugin Installer ver. 3.0

Copyright © 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.15.2
Installed HPLIP version: 3.15.2
Number of files to install: 26

error: Unable to load Qt4 support. Is it installed? Try running with -i or --qt3 instead.
[root@asrock ~]#

Prostě byla to ode mě značná ukvapenost instalovat novou verzi pár dní po zveřejnění.

No a doinstalování Qt4 nebo spuštění s tím parametrem -i dělá co?

S parametrem -i tu udělá to, že žádný parametr -i nezná.

Hle:
[root@asrock ~]# ./hplip-3.15.2-plugin.run -i
Unrecognized flag : -i
Makeself version 2.1.5

  1. Getting help or info about ./hplip-3.15.2-plugin.run :
    ./hplip-3.15.2-plugin.run --help Print this message
    ./hplip-3.15.2-plugin.run --info Print embedded info : title, default target directory, embedded script …
    ./hplip-3.15.2-plugin.run --lsm Print embedded lsm entry (or no LSM)
    ./hplip-3.15.2-plugin.run --list Print the list of files in the archive
    ./hplip-3.15.2-plugin.run --check Checks integrity of the archive

  2. Running ./hplip-3.15.2-plugin.run :
    ./hplip-3.15.2-plugin.run [options] [–] [additional arguments to embedded script]
    with following options (in that order)
    –confirm Ask before running embedded script
    –noexec Do not run embedded script
    –keep Do not erase target directory after running
    the embedded script
    –nox11 Do not spawn an xterm
    –nochown Do not give the extracted files to the current user
    –target NewDirectory Extract in NewDirectory
    –tar arg1 [arg2 …] Access the contents of the archive through the tar command
    – Following arguments will be passed to the embedded script

No, a nechápu, proč to vůbec chce nějaké Qt, když tam mám pouze XFCE.

Vážně mám doinstalovat to Qt4?

Edit:

tak pozor změna, asi to chtělo pustit takto
./hplip-3.15.2-plugin.run – -i

Tak to bylo přesně ono !!!
Takhle: ./hplip-3.15.2-plugin.run – -i
Ono to tam v tom helpu je napsáno, ale kdo má vědět který je embeděd a který ne. 8-(
Inu, v Linuxu jde udělat všechno, akorát to občas zabere nějaký čas.

Dodatek:

ale s tou katastrofou, to zdaleka nebyla básnická licence, některé programy (Firefox, Gimp, Filezilla… ) po resize okna to okno zcela zčernalo a nešlo s tím už nic dělat, Případně to úplně zatuhlo jak Windows na jaře. Ale tohle se spravilo přeinstalací. Zatím jsem s XFCE spokojen, je to svižnější a animovanou kostku a kouzelnou lampu jsem oželel - dá se žít i bez toho.

Tak ja když jsem dělal upgrade z FC21 na FC22, tak mi po přihlášení KDE nejelo vůbec, jen hlásilo chyby. Ale problém byl v konfiguračních souborech. Teď už jsem zatím nezaznamenal žádný problém.
K těm nastavením různých ploch bych dodal, že v KDE existují tzv. aktivity. Používám to místo více ploch, sice to není to samé, ale přijde mi to přehlednější pr o práci. V tom jde nastavovat různé pozadí na různých plochách.

Připadá mi KDE 5 nějaké nepodařené. Nechodí mi nacpání ikony programu na pracovní plochu (ne zobrazní složky), nejdou šablony aktivit. Tak nějak krok zpět. A když se dá v Dolpinu Nápověda->O prostředí KDE tak napíše verzi KDE 4.14 místo 5. Zatím mám F22 s KDE jen pokusně na jednom laptopu. Tak nějak mám dojem, že KDE5 je oloupené o dobré věci a nebo příjemné. Počkám co se vyvrbí a jestli bude nějaké čerstvější KDE… Instaloval jsem to dočista do čista, přeformátoval /, ponechal pouze /Home - i tam jsem později uživatele smazal a nechal udělat znova - jestli snahu nehatí nějaké staré nastavení v ~/.kde.